import axios from '@/utils/axios'
export default{
/**
   * 获取下载接口所有配置
   */
 getAllConfig(params) {
    return axios.get('/v2/config/getAllConfig', { params })
  },
  /**
   * 根据配置类型获取配置元素
   */
  getConfigCell(params) {
    return axios.get('/v2/config/getConfigCell', { params })
  },
  /**
   * 添加导入任务
   */
  addTask(data) {
    return axios.post('/v2/task/addTask', data)
  },
  /**
   * 继续导入任务
   */
  resumeJobTask(params) {
    return axios.get('/v2/task/continue', {params})
  },
  /**
   * 暂停导入任务
   */
  pauseJobTask(params) {
    return axios.get('/v2/task/pause', {params})
  },
   /**
   * 取消导入任务
   */
   cancelTask(params) {
    return axios.get('/v2/task/cancelTask', {params})
  },
  /**
   * 删除任务
   */
  // deleteTasks(data) {
  //   return axios.post('/v2/task/deleteTasks', data)
  // },
  deleteTask(data) {
    return axios.get('/v2/task/deleteTask', {data})
  },
  /**
   * 更新定时任务
   */
  updateTasks(data) {
    return axios.post('/v2/task/update', data)
  },
  /**
   * 查询导入任务
   */
  // getTasks(data) {
  //   return axios.post('/v2/task/getTasks', data)
  // },
  getTasks(data) {
    return axios.post('/v2/task/queryTasks', data)
  },
  /**
   * 查询实时进度或当前行数据的更新日志
   */
  // getTaskDetails(data) {
  //   return axios.post('/v2/task/getTaskDetails', data)
  // },
  queryQrtzTaskLogs(data) {
    return axios.post('/v2/task/queryQrtzTaskLogs', data)
  },
  /**
   * 更改任务状态
   */
  setDetailState(params) {
    return axios.get('/v2/task/setDetailState', {params})
  },

  //添加网站账号配置
  addLoginConfig(params){
    return axios.post('/v2/config/addLoginConfig',params)
  },

  //查询网站账号配置
  queryLoginConfig(params){
    return axios.post('/v2/config/queryLoginConfig',params)
  },

  //删除网站账号配置
  deleteConfig(params){
    return axios.post('/v2/config/deleteConfig',params)
  },
  //专利号导入
  importByNos(params){
    return axios.post('/v2/project/import/importByNos',params)
  }
}